Scriptname _mwl_orgnum extends ObjectReference  

import debug
import utility

MiscObject property golds auto
float gameDay = 0.0

Int property coinMin auto
Int property coinMax auto
int canDo = 0

Event OnInit()
	RegisterForUpdate(10)
EndEvent 

Event OnUpdate()
	if(canDo == 1)
		if(Utility.GetCurrentGameTime() - gameDay >= 1)
			canDo = 0
		endif
	endif
EndEvent

Event OnEquipped(Actor akActor)
if(canDo == 0)
  if akActor == Game.GetPlayer()
	int numOfCoins = randomInt(coinMin, coinMax)
	Game.GetPlayer().additem(golds, numOfCoins)
	canDo = 1
	gameDay = Utility.GetCurrentGameTime()
  endif
endif
EndEvent

